@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

.RowEntry {
  position: relative;

  height: 50px;
  box-sizing: border-box;
  overflow: hidden;

  &.DisabledEntry {
    cursor: not-allowed;
  }

  &:hover {
    cursor: pointer;
  }

  .EntryHeader {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;

    height: 100%;

    padding-left: 20px;
    padding-right: 20px;

    line-height: 1.3em;

    * {
      overflow: hidden;
      text-rendering: optimizeLegibility;
      user-select: none;
      white-space: nowrap;
      text-overflow: ellipsis;
    }
  }

  .EntrySubtitle {
    font-size: 11px;
  }

  .EntryTitle {
    font-size: 14px;
  }

  .EntryStatus {
    position: absolute;
    bottom: 0;

    height: 100%;
    width: 4px;
  }
}

@include themify('RowEntry', $themes) {
  font-family: themed('font-family');
  background-color: themed('panel-background');

  &.SelectedEntry {
    background-color: themed('panel-background-selected');
  }

  &:hover {
    background-color: themed('panel-background-hovered');
  }

  .EntrySubtitle {
    color: themed('text-secondary');
  }

  .EntryTitle {
    color: themed('text-primary');
  }

  .EntryStatus {
    background-color: themed('text-secondary');

    &.EntryStatus-focus {
      background-color:  themed('status-focus');
    }

    &.EntryStatus-active {
      background-color: themed('status-active');
    }

    &.EntryStatus-danger {
      background-color: themed('status-danger');
    }

    &.EntryStatus-busy {
      background-color: themed('status-busy');
    }
  }
}
